import { Component, Node, tween, _decorator } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('NewComponent')
export class NewComponent extends Component {

    @property(Node)
    target: Node

    @property(Node)
    from: Node
    @property(Node)
    to: Node

    onLoad() {
        tween(this.target)
            .to(2, {
                worldPosition: this.to.worldPosition,
            }, {
                onComplete: () => {
                    this.target.setWorldPosition(this.from.worldPosition)
                }
            })
            .repeatForever()
            .start()
    }

    turnOn() {
        this.target.active = true;
    }

    turnOff() {
        this.target.active = false
    }
}


